StarFileManager Class Reference

the main class to read/. More...

`#include <StarFileManager.hxx>`

## Public Member Functions

| StarFileManager ()
| constructor
virtual | ~StarFileManager ()
| destructor

## Static Public Member Functions

static void | checkUnparsed (STOFFInputStreamPtr input, std::shared_ptr< STOFFOLEParser > oleParser, char const *password)
| low level
static bool | readOLEDirectory (std::shared_ptr< STOFFOLEParser > oleParser, std::shared_ptr< STOFFOLEParser::OleDirectory > ole, STOFFEmbeddedObject &image, std::shared_ptr< StarObject > &object)
| try to read a Ole directory
static bool | readImageDocument (STOFFInputStreamPtr input, librevenge::RVNGBinaryData &data, std::string const &fileName)
| try to read a image zone: "StarImageDocument" or "StarImageDocument 4.0
static bool | readEmbeddedPicture (std::shared_ptr< STOFFOLEParser > oleParser, std::string const &fileName, STOFFEmbeddedObject &image)
| try to read a embedded picture file: Embedded/PicXXXXXX
static bool | readEmbeddedPicture (STOFFInputStreamPtr input, librevenge::RVNGBinaryData &data, std::string &dataType, std::string const &fileName)
| try to read a embedded picture file: Embedded/PicXXXXXX
static bool | readOleObject (STOFFInputStreamPtr input, librevenge::RVNGBinaryData &data, std::string const &fileName)
| try to read a "Ole-Object" zone
static bool | readOutPlaceObject (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the "OutPlace Object"
static bool | readJobSetUp (StarZone &zone, bool usePrinterLen)
| try to read a printer zone
static bool | readFont (StarZone &zone)
| try to read a font
static bool | readSVGDI (StarZone &zone)
| try to read a SVGDI object

## Private Attributes

std::shared_ptr< StarFileManagerInternal::State > | m_state
| the state

## Detailed Description

the main class to read/.

. some basic StarOffice OLEs

## Constructor & Destructor Documentation

## StarFileManager()

StarFileManager::StarFileManager | ( |  | ) |

constructor

## ~StarFileManager()

StarFileManager::~StarFileManager | ( |  | ) |

virtual

destructor

## Member Function Documentation

## checkUnparsed()

void StarFileManager::checkUnparsed | ( | STOFFInputStreamPtr | input,
|  | std::shared_ptr< STOFFOLEParser > | oleParser,
|  | char const * | password )

static

low level

check for unparsed zone

Referenced by SDAParser::parse(), SDAParser::parse(), SDCParser::parse(), and SDWParser::parse().

## readEmbeddedPicture() [1/2]

bool StarFileManager::readEmbeddedPicture | ( | std::shared_ptr< STOFFOLEParser > | oleParser,
|  | std::string const & | fileName,
|  | STOFFEmbeddedObject & | image )

static

try to read a embedded picture file: Embedded/PicXXXXXX

Referenced by checkUnparsed(), SDXParser::createZones(), readEmbeddedPicture(), and StarObjectTextInternal::GraphZone::send().

## readEmbeddedPicture() [2/2]

bool StarFileManager::readEmbeddedPicture | ( | STOFFInputStreamPtr | input,
|  | librevenge::RVNGBinaryData & | data,
|  | std::string & | dataType,
|  | std::string const & | fileName )

static

try to read a embedded picture file: Embedded/PicXXXXXX

## readFont()

bool StarFileManager::readFont | ( | StarZone & | zone | ) |

static

try to read a font

Referenced by StarFormatManager::readNumberFormat().

## readImageDocument()

bool StarFileManager::readImageDocument | ( | STOFFInputStreamPtr | input,
|  | librevenge::RVNGBinaryData & | data,
|  | std::string const & | fileName )

static

try to read a image zone: "StarImageDocument" or "StarImageDocument 4.0

Referenced by checkUnparsed(), SDXParser::createZones(), and readOLEDirectory().

## readJobSetUp()

bool StarFileManager::readJobSetUp | ( | StarZone & | zone,
|  | bool | usePrinterLen )

static

try to read a printer zone

Referenced by StarObjectSpreadsheet::readCalcDocument(), StarObjectChart::readChartDocument(), StarObjectDraw::readPresentationData(), and StarObjectText::readSWJobSetUp().

## readOLEDirectory()

bool StarFileManager::readOLEDirectory | ( | std::shared_ptr< STOFFOLEParser > | oleParser,
|  | std::shared_ptr< STOFFOLEParser::OleDirectory > | ole,
|  | STOFFEmbeddedObject & | image,
|  | std::shared_ptr< StarObject > & | object )

static

try to read a Ole directory

Referenced by StarObjectSmallGraphicInternal::SdrGraphicOLE::send(), and StarObjectTextInternal::OLEZone::send().

## readOleObject()

bool StarFileManager::readOleObject | ( | STOFFInputStreamPtr | input,
|  | librevenge::RVNGBinaryData & | data,
|  | std::string const & | fileName )

static

try to read a "Ole-Object" zone

Referenced by checkUnparsed(), SDXParser::createZones(), and readOLEDirectory().

## readOutPlaceObject()

bool StarFileManager::readOutPlaceObject | ( | STOFFInputStreamPtr | input,
|  | libstoff::DebugFile & | ascii )

static

try to read the "OutPlace Object"

Referenced by checkUnparsed(), SDXParser::createZones(), and readOLEDirectory().

## readSVGDI()

bool StarFileManager::readSVGDI | ( | StarZone & | zone | ) |

static

try to read a SVGDI object

Referenced by StarGraphicStruct::StarGraphic::read(), readEmbeddedPicture(), and StarObject::readSfxPreview().

## Member Data Documentation

## m_state

std::shared_ptr<StarFileManagerInternal::State> StarFileManager::m_state

private

the state

Referenced by StarFileManager().

The documentation for this class was generated from the following files:

- StarFileManager.hxx
- StarFileManager.cxx